## python-bcj 1.0.2+ds

=== debian/changelog ===
python-bcj (1.0.2+ds-2) unstable; urgency=medium

  * Packaging update
  * Add README.rst file as upstream document.
  * patch: Avoid to use "sparc" keyword
    (debian/patches/0001-Avoid-to-use-sparc-keyword.patch)
    "sparc" is already defined as "1" in SPARC64 gcc (cpp).
    Use other keyword "sparc_arch" to avoid the error.
  * Standards-Version: 4.7.0 (routine-update)
  * Testsuite: autopkgtest-pkg-pybuild
  * Upgrade to new Python build sequencer
  * Do unit test from pybuild sequencer

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 30 Apr 2024 11:43:22 +0900

python-bcj (1.0.2+ds-1) unstable; urgency=medium

  * Initial commit (Closes: #1068309)

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 05 Apr 2024 08:54:49 +0900
