## python-bcj 1.0.3%2Bds

=== debian/watch ===
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/, \
      dversionmangle=s/\+ds//, \
      oversionmangle=s/$/+ds/" \
https://pypi.debian.net/pybcj/pybcj-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
