## python-bcj 1.0.3+ds

=== debian/changelog ===
python-bcj (1.0.3+ds-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 23:13:53 +0000

python-bcj (1.0.3+ds-1) unstable; urgency=medium

  * New upstream version 1.0.3+ds

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 28 Dec 2024 02:22:04 +0900
