=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=bcj

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=pybuild
