=== debian/changelog ===
python-bcj (1.0.6+ds-3) unstable; urgency=medium

  * Drop Emacs mode line from debian/watch

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 30 Sep 2025 11:52:58 +0900

python-bcj (1.0.6+ds-2) unstable; urgency=medium

  * Use V5 format for watch file
  * Use local configuration file for salsa CI

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 24 Aug 2025 00:48:43 +0900

python-bcj (1.0.6+ds-1) unstable; urgency=medium

  [ YOKOTA Hiroshi ]
  * Upgrade Debian Policy to 4.7.2
  * New upstream version 1.0.6+ds
  * Patches: remove 0001, merged upstream.

  [ Jeroen Ploemen ]
  * Copyright: bump years.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 07 May 2025 02:47:44 +0900
