=== debian/control ===
Source: python-bcj
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: YOKOTA Hiroshi <yokota.hgml@gmail.com>
Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-all-dev,
  python3-pytest <!nocheck>,
  python3-hypothesis <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://codeberg.org/miurahr/pybcj
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bcj
Vcs-Git: https://salsa.debian.org/python-team/packages/python-bcj.git

Package: python3-bcj
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: BCJ (Branch-Call-Jump) filter for Python
 In data compression, BCJ, short for Branch-Call-Jump, refers to a
 technique that improves the compression of machine code of executable
 binaries by replacing relative branch addresses with absolute ones.
 This allows a LZMA compressor to identify duplicate targets and
 archive higher compression rate.
 .
 BCJ is used in 7-zip compression utility as default filter for
 executable binaries.
 .
 pybcj is a Python bindings with BCJ implementation by C language. The
 C codes are derived from p7zip, portable 7-zip implementation. pybcj
 support Intel/Amd x86/x86_64, Arm/Arm64, ArmThumb, Sparc, PPC, and
 IA64.
