## python-bcj 1.0.7+ds

=== debian/changelog ===
python-bcj (1.0.7+ds-2) unstable; urgency=medium

  * Upgrade Debian standards to 4.7.3

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 28 Dec 2025 10:10:29 +0900

python-bcj (1.0.7+ds-1) unstable; urgency=medium

  * Lintian fix: redundant-rules-requires-root-no-field
  * New upstream version 1.0.7+ds
  * Restore test file from upstream

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 01 Dec 2025 01:14:25 +0900
