=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: python-bcj
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: YOKOTA Hiroshi <yokota.hgml@gmail.com>
 Build-Depends:
@@ -14,8 +13,7 @@
   python3-hypothesis <!nocheck>,
   python3-setuptools,
   python3-setuptools-scm,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://codeberg.org/miurahr/pybcj
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bcj
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-bcj.git
